%define gitdate 20100312
%define lve_version 0.6rc5-1.%{gitdate}git.el5.cloudlinux
Summary:	Apache module
Name:		mod_hostinglimits
Version:	0.6.1
Release:	0.2.%{gitdate}git%{?dist}.3.art.art
Source0:	%{name}.tar.bz2
Source1:	modhostinglimits.conf
Group:		System Environment/Daemons
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires:       lve-utils
Requires:	liblve

BuildRequires:	httpd-devel
BuildRequires:	cmake
BuildRequires:  liblve
BuildRequires:  liblve-devel

Requires: 	httpd

%description
This package contains Apache module


%prep
%setup -q -n %{name}

%build
cmake .
make

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_libdir}/httpd/modules/ $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
install -D lib/mod_hostinglimits.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/
install -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/

%files
%defattr(-,root,root,-)
%{_libdir}/httpd/modules/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 10 2010 Alexey Fomenko <alexey.fomenko@asplinux.ru> 
  - [#Bug 124] httpd fails

* Wed Jan 27 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 104] prefix in logs should state mod hostinglimits

* Wed Jan 27 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 103] fix issue for PHP executed via CGI

* Wed Jan 27 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 102] remove AllowSuHandlers

* Wed Jan 27 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Bug 83] AllowSuHandlers stability issues

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Bug 78] Remove HostingLimis initialization

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 79] Ability to control which handers should switch user context, and whichshouldn't

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 80] Allow to setup LVEId on per directory level

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Bug 69] potential vulnerability in cookie handling

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 73] make it work so that only LVE part works, and no user context switch is needed


